aboutsummaryrefslogtreecommitdiff
path: root/.travis/test_06_script.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/test_06_script.sh')
-rwxr-xr-x.travis/test_06_script.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/.travis/test_06_script.sh b/.travis/test_06_script.sh
index 506d2b518c..618aa2c3b6 100755
--- a/.travis/test_06_script.sh
+++ b/.travis/test_06_script.sh
@@ -40,6 +40,9 @@ BEGIN_FOLD configure
DOCKER_EXEC ./configure --cache-file=../config.cache $BITCOIN_CONFIG_ALL $BITCOIN_CONFIG || ( cat config.log && false)
END_FOLD
+set -o errtrace
+trap 'DOCKER_EXEC "cat ${TRAVIS_BUILD_DIR}/sanitizer-output/* 2> /dev/null"' ERR
+
BEGIN_FOLD build
DOCKER_EXEC make $MAKEJOBS $GOAL || ( echo "Build failure. Verbose build follows." && DOCKER_EXEC make $GOAL V=1 ; false )
END_FOLD